# GetMandates

List country mandates that are supported by the Avalara E-Invoicing platform

`GET /mandates`

**API:** Avalara E-Invoicing API
**Tag:** Mandates
**API Version:** 1.3
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.3/methods/Mandates/GetMandates/

## Description

This endpoint offers a list of country mandates supported by the Avalara E-Invoicing API.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | The HTTP Header meant to specify the version of the API intended to be used |
| `X-Avalara-Client` | string | header | No | You can freely use any text you wish for this value. This feature can help you diagnose and solve problems with your software. The header can be treated like a fingerprint. |
| `$filter` | string | query | No | Filter by field name and value. This filter only supports eq and contains. Refer to [https://developer.avalara.com/avatax/filtering-in-rest/](https://developer.avalara.com/avatax/filtering-in-rest/) for more information on filtering. |
| `$top` | string | query | No | If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records. |
| `$skip` | string | query | No | If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets. |
| `$count` | string | query | No | When set to true, the count of the collection is also returned in the response body. |
| `$countOnly` | string | query | No | When set to true, only the count of the collection is returned |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `MandatesResponse` |
| 401 | Unauthorized |  |
| 403 | Forbidden | `ForbiddenError` |
| 404 | Resource not found | `NotFoundError` |
| 500 | Internal Server Error | `InternalServerError` |

### 200 Response: `MandatesResponse`

Mandate list response schema

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | number | No | Total count of results Example: `1`. |
| `@nextLink` | string | No |  |
| `value` | Mandate[] | No | Mandates schema |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/einvoicing/mandates" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```